---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libma08t001a.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3A40, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51920, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53860, symBinAddr: 0xE140, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53C50, symBinAddr: 0xE530, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54BF0, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54C00, symBinAddr: 0xF4E0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: _THREAD_DEATH_CLASS_SIG, symObjAddr: 0xE818, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: _INTERRUPTED_EXCEPTION_CLASS_SIG, symObjAddr: 0xE820, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBE3, offset: 0xBE3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51580, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xBEE, offset: 0xBEE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51584, symBinAddr: 0xC0B4, symSize: 0x0 }
  - { offsetInCU: 0xBF9, offset: 0xBF9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51588, symBinAddr: 0xC0B8, symSize: 0x0 }
  - { offsetInCU: 0xC3E, offset: 0xC3E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x516E0, symBinAddr: 0xC0C0, symSize: 0x0 }
  - { offsetInCU: 0xCB7, offset: 0xCB7, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x51798, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0xCD5, offset: 0xCD5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5179C, symBinAddr: 0xC17C, symSize: 0x0 }
  - { offsetInCU: 0xCEE, offset: 0xCEE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x517A0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0xD07, offset: 0xD07, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x517A4, symBinAddr: 0xC184, symSize: 0x0 }
  - { offsetInCU: 0xD20, offset: 0xD20, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x517A8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x930F, offset: 0x930F, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x517B0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9398, offset: 0x9398, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x517C0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B1, offset: 0x93B1, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x517C8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93CA, offset: 0x93CA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x517D0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93E3, offset: 0x93E3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x517D8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x93FC, offset: 0x93FC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x517E0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9416, offset: 0x9416, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x517E8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x94FC, offset: 0x94FC, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x51830, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9515, offset: 0x9515, size: 0x8, addend: 0x0, symName: __ZL15ThreadDeathFlag, symObjAddr: 0x5186C, symBinAddr: 0xC1DC, symSize: 0x0 }
  - { offsetInCU: 0x952E, offset: 0x952E, size: 0x8, addend: 0x0, symName: __ZL24InterruptedExceptionFlag, symObjAddr: 0x51870, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9547, offset: 0x9547, size: 0x8, addend: 0x0, symName: __ZL13threadForStop, symObjAddr: 0x51878, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x9560, offset: 0x9560, size: 0x8, addend: 0x0, symName: __ZL18threadForInterrupt, symObjAddr: 0x51880, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x95B2, offset: 0x95B2, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x26E0, symSize: 0x80 }
  - { offsetInCU: 0x9647, offset: 0x9647, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2630, symSize: 0xB0 }
  - { offsetInCU: 0x96A2, offset: 0x96A2, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2530, symSize: 0x100 }
  - { offsetInCU: 0x9935, offset: 0x9935, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2760, symSize: 0xC0 }
  - { offsetInCU: 0x9987, offset: 0x9987, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2820, symSize: 0x220 }
  - { offsetInCU: 0x9B6C, offset: 0x9B6C, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2A40, symSize: 0xA0 }
  - { offsetInCU: 0x9C1F, offset: 0x9C1F, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2AE0, symSize: 0x110 }
  - { offsetInCU: 0x9D15, offset: 0x9D15, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2BF0, symSize: 0x150 }
  - { offsetInCU: 0x9E72, offset: 0x9E72, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x2D40, symSize: 0x30 }
  - { offsetInCU: 0x9FAB, offset: 0x9FAB, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x2D70, symSize: 0x150 }
  - { offsetInCU: 0xA1A3, offset: 0xA1A3, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x2EC0, symSize: 0x160 }
  - { offsetInCU: 0xA463, offset: 0xA463, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3020, symSize: 0x4A0 }
  - { offsetInCU: 0xA6D6, offset: 0xA6D6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x34C0, symSize: 0x1B0 }
  - { offsetInCU: 0xA8F1, offset: 0xA8F1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3670, symSize: 0xA0 }
  - { offsetInCU: 0xA9C0, offset: 0xA9C0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3710, symSize: 0x20 }
  - { offsetInCU: 0xA9F7, offset: 0xA9F7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3730, symSize: 0x20 }
  - { offsetInCU: 0xAA2E, offset: 0xAA2E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3750, symSize: 0x20 }
  - { offsetInCU: 0xAC01, offset: 0xAC01, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3770, symSize: 0x1A0 }
  - { offsetInCU: 0xAF1D, offset: 0xAF1D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3910, symSize: 0x130 }
  - { offsetInCU: 0xB0CD, offset: 0xB0CD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x3CB0, symSize: 0x1B0 }
  - { offsetInCU: 0xB3BC, offset: 0xB3BC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3E60, symSize: 0x80 }
  - { offsetInCU: 0xB485, offset: 0xB485, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3EE0, symSize: 0x6A0 }
  - { offsetInCU: 0xC01A, offset: 0xC01A, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA830, symBinAddr: 0x5DA0, symSize: 0xB0 }
  - { offsetInCU: 0xC091, offset: 0xC091, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4580, symSize: 0x70 }
  - { offsetInCU: 0xC185, offset: 0xC185, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x45F0, symSize: 0xA0 }
  - { offsetInCU: 0xC290, offset: 0xC290, size: 0x8, addend: 0x0, symName: _nsk_jvmti_init_MA, symObjAddr: 0x52A0, symBinAddr: 0x4690, symSize: 0x1F0 }
  - { offsetInCU: 0xC4DD, offset: 0xC4DD, size: 0x8, addend: 0x0, symName: __ZL16nativeMethodBindP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDPvPS7_, symObjAddr: 0x5490, symBinAddr: 0x4880, symSize: 0x310 }
  - { offsetInCU: 0xC979, offset: 0xC979, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4B90, symSize: 0x40 }
  - { offsetInCU: 0xCA6F, offset: 0xCA6F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4BD0, symSize: 0x2B0 }
  - { offsetInCU: 0xCE15, offset: 0xCE15, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4E80, symSize: 0xC0 }
  - { offsetInCU: 0xCF5B, offset: 0xCF5B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4F40, symSize: 0x10 }
  - { offsetInCU: 0xD01D, offset: 0xD01D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4F50, symSize: 0x220 }
  - { offsetInCU: 0xD31A, offset: 0xD31A, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5170, symSize: 0x10 }
  - { offsetInCU: 0xD377, offset: 0xD377, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5180, symSize: 0x280 }
  - { offsetInCU: 0xD669, offset: 0xD669, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E90, symBinAddr: 0x5400, symSize: 0x10 }
  - { offsetInCU: 0xD730, offset: 0xD730, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9EA0, symBinAddr: 0x5410, symSize: 0x700 }
  - { offsetInCU: 0xDFA9, offset: 0xDFA9, size: 0x8, addend: 0x0, symName: __ZL9ExceptionP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDlS4_S6_l, symObjAddr: 0xA5A0, symBinAddr: 0x5B10, symSize: 0x290 }
  - { offsetInCU: 0xE2EB, offset: 0xE2EB, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA8E0, symBinAddr: 0x5E50, symSize: 0x36A }
...
